SignatureSubpacket
Date: 2016-06-23

org.bouncycastle.bcpg

## Class SignatureSubpacket

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket

- Direct Known Subclasses:
    EmbeddedSignature, Exportable, Features, IssuerKeyID, KeyExpirationTime, KeyFlags, NotationData, PreferredAlgorithms, PrimaryUserID, Revocable, RevocationKey, RevocationReason, SignatureCreationTime, SignatureExpirationTime, SignerUserID, TrustSignature

      public class SignatureSubpacket
      extends java.lang.Object

  Basic type for a PGP Signature sub-packet.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `data`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SignatureSubpacket(int type, boolean critical, boolean isLongLength, byte[] data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream out)`
    `byte[]` | `getData()` return the generic data making up the packet.
    `int` | `getType()`
    `boolean` | `isCritical()`
    `boolean` | `isLongLength()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected byte[] data

  - ### Constructor Detail

    - #### SignatureSubpacket

          protected SignatureSubpacket(int type,
                            boolean critical,
                            boolean isLongLength,
                            byte[] data)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### isCritical

          public boolean isCritical()

    - #### isLongLength

          public boolean isLongLength()

    - #### getData

          public byte[] getData()

      return the generic data making up the packet.

    - #### encode

          public void encode(java.io.OutputStream out)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`